NETStrut struct Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# NETStrut Struct Reference

Simple strut class for NET classes. More...

`#include <netwm_def.h>`

List of all members.

## Public Member Functions
| NETStrut ()
| Constructor to initialize this struct to 0,0,0,0.
## Public Attributes
int | left
| Left border of the strut.
int | right
| Right border of the strut.
int | top
| Top border of the strut.
int | bottom
| Bottom border of the strut.

## Detailed Description

Simple strut class for NET classes.

This class is a convenience class defining a strut with left, right, top and bottom border values. The existence of this class is to keep the implementation from being dependant on a separate framework/library.

Definition at line 150 of file netwm_def.h.

## Constructor & Destructor Documentation

NETStrut::NETStrut | ( |  | ) | `[inline]`

| Constructor to initialize this struct to 0,0,0,0. Definition at line 154 of file netwm_def.h. References bottom, left, right, and top.

## Member Data Documentation

int NETStrut::left

| Left border of the strut. Definition at line 159 of file netwm_def.h. Referenced by NETStrut(), and KWin::setStrut().

int NETStrut::right

| Right border of the strut. Definition at line 164 of file netwm_def.h. Referenced by NETStrut(), and KWin::setStrut().

int NETStrut::top

| Top border of the strut. Definition at line 169 of file netwm_def.h. Referenced by NETStrut(), and KWin::setStrut().

int NETStrut::bottom

| Bottom border of the strut. Definition at line 174 of file netwm_def.h. Referenced by NETStrut(), and KWin::setStrut().

The documentation for this struct was generated from the following file:

- netwm_def.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:50:17 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001